<template>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Update About Us
                        </h2>
                    </div>
                    <div class="body">
                        <form action="javascript:void(0)" method="post" ref="update" enctype="multipart/form-data" @submit="update">
                            <div class="body">
                                <div class="form-group">
                                    <label for="title" class="form-label">Title</label>
                                    <input required type="text" id="title" v-model="info.title" class="form-control" name="title" placeholder="Your title here">
                                </div>
                                <div class="form-group">
                                    <img :src="info.image" width="200" height="300" alt="">
                                </div>
                                <div class="form-group">
                                    <label for="image" class="form-label">Upload Images</label>
                                    <input type="file" accept="image" name="image" id="image" ref="image" @select="prepareImage">
                                </div>
                                <div class="form-group">
                                    <label for="description" class="form-label">Description</label>
                                    <textarea required class="form-control" v-model="info.description" placeholder="your description here" id="description" rows="6" name="description" style="outline: none !important;border-color: #719ECE;box-shadow: 0 0 10px #719ECE;"></textarea>
                                </div>
                                <div class="form-group">
                                    <input type="submit" class="btn btn-primary" value="Submit">
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>
</template>
<script>
    export default {
        data(){
            return{
                info:{},
            }
        },
        created() {
            this.getInfo();
        },
        methods:{
            prepareImage(e){
                let files = this.$refs.image.files;
                if (files.length) {
                    return files[0];
                }
                return null;
            },
            update(){
                axios.post('/admin/about/us/update',new FormData(this.$refs.update)).then((response)=>{
                    this.getInfo();
                    this.$toaster.success(response.data);
                }).catch((error)=>{
                    if (error.response.status ===422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            },
            getInfo(){
                axios.get('/admin/about/us').then((response)=>{
                    this.info=response.data;
                }).catch((error)=>{
                    this.info={};
                });
            }
        }
    }
</script>
